Package com.castlabs.android.player.models

## Class Timeline.Period.Builder

- java.lang.Object
- - com.castlabs.android.player.models.Timeline.Period.Builder

- Enclosing class:
    Timeline.Period

      public static class Timeline.Period.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Timeline.Period.Builder` | `addAudioTrack​(AudioTrack audioTrack)` |
    `Timeline.Period.Builder` | `addDescriptor​(DashDescriptor descriptor)` |
    `Timeline.Period.Builder` | `addDescriptors​(Collection<? extends DashDescriptor> descriptors)` |
    `Timeline.Period.Builder` | `addEventStreams​(Collection<? extends EventStream> eventStreams)` |
    `Timeline.Period.Builder` | `addSubtitleTrack​(SubtitleTrack subtitleTrack)` |
    `Timeline.Period.Builder` | `addVideoTrack​(VideoTrack videoTrack)` |
    `Timeline.Period.Builder` | `durationUs​(long durationUs)` |
    `Timeline.Period` | `get()` |
    `Timeline.Period.Builder` | `id​(Object id)` |
    `Timeline.Period.Builder` | `positionInWindowUs​(long positionInWindowUs)` |
    `Timeline.Period.Builder` | `windowIndex​(int windowIndex)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### addVideoTrack

          public Timeline.Period.Builder addVideoTrack​(VideoTrack videoTrack)

    - #### addAudioTrack

          public Timeline.Period.Builder addAudioTrack​(AudioTrack audioTrack)

    - #### addSubtitleTrack

          public Timeline.Period.Builder addSubtitleTrack​(SubtitleTrack subtitleTrack)

    - #### addDescriptor

          public Timeline.Period.Builder addDescriptor​(DashDescriptor descriptor)

    - #### id

          public Timeline.Period.Builder id​(Object id)

    - #### get

          public Timeline.Period get()

    - #### windowIndex

          public Timeline.Period.Builder windowIndex​(int windowIndex)

    - #### addDescriptors

          public Timeline.Period.Builder addDescriptors​(Collection<? extends DashDescriptor> descriptors)

    - #### durationUs

          public Timeline.Period.Builder durationUs​(long durationUs)

    - #### positionInWindowUs

          public Timeline.Period.Builder positionInWindowUs​(long positionInWindowUs)

    - #### addEventStreams

          public Timeline.Period.Builder addEventStreams​(Collection<? extends EventStream> eventStreams)